/*
 * $Id: AddressValidationService.java 7963 2007-08-21 08:53:15Z dirk.olmes $
 * --------------------------------------------------------------------------------------
 * Copyright (c) MuleSource, Inc.  All rights reserved.  http://www.mulesource.com
 *
 * The software in this package is published under the terms of the CPAL v1.0
 * license, a copy of which has been included with this distribution in the
 * LICENSE.txt file.
 */

package org.mule.samples.voipservice.service;

import org.mule.samples.voipservice.interfaces.AddressValidation;
import org.mule.samples.voipservice.to.AddressTO;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

public class AddressValidationService implements AddressValidation
{

    protected static transient Log logger = LogFactory.getLog(AddressValidationService.class);

    public int validateAddress(AddressTO addressTO)
    {

        logger.info("Inside AddressValidationService.validateAddress() ***************");
        return AddressValidation.SUCCESS;
    }

}
